Retrieve a List of Profiles

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
GET /profiles

Headers

  • Authorization string

    e.g. Bearer {access_token}

Query parameters

  • fields string

    extra information of each profile on the list

  • limit number

    maximum count of the profile list

  • offset number

    skip that many profiles before beginning to return

  • validate_grammar string

    returns an error for incorrect field grammar when set to true

  • all_fields boolean

    will show all fields for each the objects

  • exclude string

    will exclude specified fields

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • id number Required
    • name string Required
    • global_id string
    • version number
    • address1 string
    • address2 string
    • city string
    • zip string
    • state string
    • country string
    • phone string
    • fax string
    • email string
    • max_user number
    • max_page number
    • is_active boolean
    • created_date string
    • type number
    • support_hours number
    • time_zone string
GET /profiles
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
# Headers
Total-Count: string

# Payload
{
  "id": 42.0,
  "name": "string",
  "global_id": "string",
  "version": 42.0,
  "address1": "string",
  "address2": "string",
  "city": "string",
  "zip": "string",
  "state": "string",
  "country": "string",
  "phone": "string",
  "fax": "string",
  "email": "string",
  "max_user": 42.0,
  "max_page": 42.0,
  "is_active": true,
  "created_date": "string",
  "type": 42.0,
  "support_hours": 42.0,
  "time_zone": "string"
}